/**Begin D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DSLGREPORTRULES') 
 CREATE TABLE T_BCM_DSLGREPORTRULES (
FID BIGINT DEFAULT 0 NOT NULL,
FRULECODE VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMPANYCODE VARCHAR(20) DEFAULT ' ' NOT NULL,
FCOMPANYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRULESTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FWPFROSFMHFM CHAR(1) DEFAULT '0' NOT NULL,
FISCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FCOPYFLAG CHAR(1) DEFAULT '0' NOT NULL,
FREFRESHFLAG CHAR(1) DEFAULT '0' NOT NULL,
FISCHANGE CHAR(1) DEFAULT '0' NOT NULL,
FCHECKFLAG CHAR(1) DEFAULT '0' NOT NULL,
FPREREPORTRULEID BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FEFFDATE DATETIME,
FEXPDATE DATETIME
);



/**End D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
